Bug 894428 - wrong filter for autofs maps in sss_cache
Summary: wrong filter for autofs maps in sss_cache
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: sssd
Version: 6.4
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Jakub Hrozek
QA Contact: Kaushik Banerjee
URL:
Whiteboard:
Depends On:
Blocks: 902691
TreeView+ depends on / blocked
 
Reported: 2013-01-11 17:42 UTC by Jakub Hrozek
Modified: 2020-05-02 17:13 UTC (History)
6 users (show)

Fixed In Version: sssd-1.9.2-72.el6
Doc Type: Bug Fix
Doc Text:
No documentation needed.
Clone Of:
Environment:
Last Closed: 2013-02-21 09:43:22 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github SSSD sssd issues 2796 0 None None None 2020-05-02 17:13:47 UTC
Red Hat Product Errata RHSA-2013:0508 0 normal SHIPPED_LIVE Low: sssd security, bug fix and enhancement update 2013-02-20 21:30:10 UTC

Description Jakub Hrozek 2013-01-11 17:42:51 UTC
This bug is created as a clone of upstream ticket:
https://fedorahosted.org/sssd/ticket/1754

In sss_cache.c:update_all_filters() we are passing a filter that requires three arguments in the update_filter() function for autofs.

But the upda_filter function only knows how to handle 2 arguments.

I suggest the update_filter() function is changed to not take a format at all, but only explicit parameters.

Comment 1 Jakub Hrozek 2013-01-14 08:15:00 UTC
Upstream has a devel-tested patch.

Comment 3 Jenny Severance 2013-01-14 19:14:28 UTC
Please add steps to reproduce and verify

Comment 4 Jakub Hrozek 2013-01-14 19:17:42 UTC
To reproduce, run
sss_cache -a auto.master

It won't work without the patch and chances are the tool will segfault.

if you also add --debug 10 you'll be able to see malformed filter without the patch and a correct one with the patch.

Comment 5 Jakub Hrozek 2013-01-15 19:39:26 UTC
Pushed upstream.

Comment 7 Kaushik Banerjee 2013-01-27 18:43:09 UTC
Verified in version 1.9.2-82

Output from beaker automation run:
:: [   PASS   ] :: Running 'sss_cache -A --domain=LDAP --debug 10 2> /tmp/cache_debugout'
:: [   PASS   ] :: File '/tmp/cache_debugout' should not contain 'failed'
:: [   PASS   ] :: File '/tmp/cache_debugout' should not contain 'No cache object matched the specified search'
:: [   PASS   ] :: File '/tmp/cache_debugout' should not contain 'No such autofs map'

:: [   PASS   ] :: Running 'sss_cache -a auto.direct --debug 10 2> /tmp/cache_debugout'
:: [   PASS   ] :: File '/tmp/cache_debugout' should not contain 'failed'
:: [   PASS   ] :: File '/tmp/cache_debugout' should not contain 'No cache object matched the specified search'
:: [   PASS   ] :: File '/tmp/cache_debugout' should not contain 'No such autofs map'

:: [   PASS   ] :: Running 'sss_cache -a auto.share1 --domain=LDAP --debug 10 2> /tmp/cache_debugout'
:: [   PASS   ] :: File '/tmp/cache_debugout' should not contain 'failed'
:: [   PASS   ] :: File '/tmp/cache_debugout' should not contain 'No cache object matched the specified search'
:: [   PASS   ] :: File '/tmp/cache_debugout' should not contain 'No such autofs map'

Comment 8 errata-xmlrpc 2013-02-21 09:43:22 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-0508.html


Note You need to log in before you can comment on or make changes to this bug.